Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055177 - uglify-js should be using the proper system for packaging multiple npm versions
Summary: uglify-js should be using the proper system for packaging multiple npm versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uglify-js
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 12:05 UTC by Tom Hughes
Modified: 2014-04-15 15:50 UTC (History)
2 users (show)

Fixed In Version: uglify-js-2.4.13-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:28:50 UTC


Attachments (Terms of Use)
Patch to update spec file (deleted)
2014-01-19 12:05 UTC, Tom Hughes
no flags Details | Diff

Description Tom Hughes 2014-01-19 12:05:10 UTC
Created attachment 852349 [details]
Patch to update spec file

The attached patch updates uglify-js to use the approved system for packaging multiple versions of a node module, and also adjusts things to the latest nodejs packaging standards.

Should we also be moving the files from the -common subpackage to the new web packaging standard?

Comment 1 T.C. Hollingsworth 2014-01-20 00:32:53 UTC
(In reply to Tom Hughes from comment #0)
> Created attachment 852349 [details]
> Patch to update spec file
> 
> The attached patch updates uglify-js to use the approved system for
> packaging multiple versions of a node module, and also adjusts things to the
> latest nodejs packaging standards.

Thanks, applied.

> Should we also be moving the files from the -common subpackage to the new
> web packaging standard?

Yup, went ahead and did that too.  :-)

Comment 2 Fedora Update System 2014-01-20 01:05:04 UTC
uglify-js-2.2.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uglify-js-2.2.5-4.fc20

Comment 3 Fedora Update System 2014-01-20 01:05:20 UTC
uglify-js-2.2.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/uglify-js-2.2.5-4.fc19

Comment 4 Fedora Update System 2014-01-20 01:05:38 UTC
uglify-js-2.2.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/uglify-js-2.2.5-3.el6

Comment 5 Fedora Update System 2014-01-21 05:21:01 UTC
Package uglify-js-2.2.5-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing uglify-js-2.2.5-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0255/uglify-js-2.2.5-3.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-04-01 19:53:15 UTC
uglify-js-2.4.13-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uglify-js-2.4.13-3.fc20

Comment 7 Fedora Update System 2014-04-01 19:53:44 UTC
uglify-js-2.4.13-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/uglify-js-2.4.13-3.fc19

Comment 8 Fedora Update System 2014-04-01 19:54:16 UTC
uglify-js-2.4.13-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/uglify-js-2.4.13-3.el6

Comment 9 Fedora Update System 2014-04-15 15:28:50 UTC
uglify-js-2.4.13-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-04-15 15:50:52 UTC
uglify-js-2.4.13-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.